<?php
	include('is_logged.php');//Archivo verifica que el usario que intenta acceder a la URL esta logueado
	$id_compra= $_SESSION['id_compra'];
	/*Inicia validacion del lado del servidor*/
	if (empty($_POST['id_proveedor'])) {
           $errors[] = "ID vacío";
        }else if (empty($_POST['id_encargado'])) {
           $errors[] = "Selecciona el encargado de la compra";
        } else if (
			!empty($_POST['id_proveedor']) &&
			!empty($_POST['id_encargado']) 
			
		){
		/* Connect To Database*/
		require_once ("../config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
		require_once ("../config/conexion.php");//Contiene funcion que conecta a la base de datos
		// escaping, additionally removing everything that could be (html/javascript-) code
		$id_proveedor=intval($_POST['id_proveedor']);
		$id_encargado=intval($_POST['id_encargado']);
		
		
		
		$sql="UPDATE compras SET proveedor='".$id_proveedor."' WHERE id_compra='".$id_compra."'";
		$query_update = mysqli_query($con,$sql);
			if ($query_update){
				$messages[] = "La Compra ha sido actualizada satisfactoriamente.";
			} else{
				$errors []= "Lo siento algo ha salido mal intenta nuevamente.".mysqli_error($con);
			}
		} else {
			$errors []= "Error desconocido.";
		}
		
		if (isset($errors)){
			
			?>
			<div class="alert alert-danger" role="alert">
				<button type="button" class="close" data-dismiss="alert">&times;</button>
					<strong>Error!</strong> 
					<?php
						foreach ($errors as $error) {
								echo $error;
							}
						?>
			</div>
			<?php
			}
			if (isset($messages)){
				
				?>
				<div class="alert alert-success" role="alert">
						<button type="button" class="close" data-dismiss="alert">&times;</button>
						<strong>¡Bien hecho!</strong>
						<?php
							foreach ($messages as $message) {
									echo $message;
								}
							?>
				</div>
				<?php
			}

?>